pandoc-lua-marshal-0.3.1: Use pandoc types in Lua

Safe Haskell | None
Language | Haskell2010

Text.Pandoc.Lua.Marshal.Block

Contents

- Single Block elements
- List of Blocks
- Constructors
- Walk

Description

Marshal values of types that make up `Block` elements.

Synopsis

- typeBlock :: LuaError e => DocumentedType e Block
- peekBlock :: LuaError e => Peeker e Block
- peekBlockFuzzy :: LuaError e => Peeker e Block
- pushBlock :: LuaError e => Pusher e Block
- peekBlocks :: LuaError e => Peeker e [Block]
- peekBlocksFuzzy :: LuaError e => Peeker e [Block]
- pushBlocks :: LuaError e => Pusher e [Block]
- blockConstructors :: LuaError e => [DocumentedFunction e]
- mkBlocks :: LuaError e => DocumentedFunction e
- walkBlockSplicing :: (LuaError e, Walkable (SpliceList Block) a) => Filter -> a -> LuaE e a
- walkBlocksStraight :: (LuaError e, Walkable [Block] a) => Filter -> a -> LuaE e a

# Single Block elements

typeBlock :: LuaError e => DocumentedType e Block Source #

Block object type.

peekBlock :: LuaError e => Peeker e Block Source #

Retrieves an Block value.

peekBlockFuzzy :: LuaError e => Peeker e Block Source #

Try extra hard to retrieve a Block value from the stack. Treats bare strings as `Str` values.

pushBlock :: LuaError e => Pusher e Block Source #

Pushes an Block value as userdata object.

# List of Blocks

peekBlocks :: LuaError e => Peeker e [Block] Source #

Retrieves a list of Block values.

peekBlocksFuzzy :: LuaError e => Peeker e [Block] Source #

Try extra-hard to return the value at the given index as a list of `Block`s.

pushBlocks :: LuaError e => Pusher e [Block] Source #

Pushes a list of Block values.

# Constructors

blockConstructors :: LuaError e => [DocumentedFunction e] Source #

Constructor functions for `Block` elements.

mkBlocks :: LuaError e => DocumentedFunction e Source #

Constructor for a list of `Block` values.

# Walk

walkBlockSplicing :: (LuaError e, Walkable (SpliceList Block) a) => Filter -> a -> LuaE e a Source #

walkBlocksStraight :: (LuaError e, Walkable [Block] a) => Filter -> a -> LuaE e a Source #